# Reseda version 1.0.0
# Reseda.py
# by Antoine Rauzy
# Copyrights (c) 2018-2021 AltaRica Association
#
# This file is part of Reseda.
# Reseda is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# Reseda is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with Reseda.  If not, see <http://www.gnu.org/licenses/>.

# Table of Contents
# -----------------
# 1) Imported modules
# 2) Main

# 1) Imported modules
# -------------------

import string
import sys
import re
import math

sys.path.insert(0, 'src/S2MLCore')
sys.path.insert(0, 'src')

from ResedaCore import *

# 2) Main
# -------

engine = ResedaEngine()
engine.OpenSession()
engine.SetExecutionStatus(S2MLEngine.ACTIVE)
engine.SetCurrentWorkingDirectory("examples/Propagation")
engine.LoadScript("Propagation.rsd")
engine.CloseSession()
